package com.example.julian.endlessroll.main.tutorial;

import com.example.julian.endlessroll.R;
import com.example.julian.endlessroll.levels.Level;

import java.util.Arrays;
import java.util.List;

/**
 * Created by Julian on 17.03.2017.
 */

public class TutorialManager {

    private List<Tutorial> tutorials;

    public TutorialManager() {
        Tutorial t11 = new Tutorial(1, 1, new BreakPoint(0, R.id.tutorial_welcome),
                new BreakPoint(0, R.id.tutorial_tools),
                new BreakPoint(7, R.id.tutorial_place_ramp),
                new BreakPoint(21, R.id.tutorial_place_ramp_2));
        Tutorial t21 = new Tutorial(2, 1, new BreakPoint(11, R.id.tutorial_ramp_in_air));

        tutorials = Arrays.asList(t11, t21);
    }

    public void resetTutorials(){
        for(Tutorial tutorial : tutorials)
            tutorial.reset();
    }

    public Tutorial getTutorial(Level level) {
        for (Tutorial tutorial : tutorials) {
            if (tutorial.getLevelPackId() == level.getPackId() && tutorial.getLevelId() == level
                    .getId())
                return tutorial;
        }
        return null;
    }

}
