package com.example.julian.endlessroll.user;

import android.content.Context;

import com.example.julian.endlessroll.R;
import com.example.julian.endlessroll.entities.tools.ToolType;
import com.example.julian.endlessroll.main.screens.Screen;
import com.example.julian.endlessroll.views.BountyMessage;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Julian on 26.01.2017.
 */

public class LevelBounty {

    private int starCount = 0;
    private int energyCount = 0;
    private ToolType toolType = ToolType.NONE;
    private boolean toolSlot = false;

    public LevelBounty(int starCount, int energyCount, ToolType toolType, boolean toolSlot) {
        this.starCount = starCount;
        this.energyCount = energyCount;
        this.toolType = toolType;
        this.toolSlot = toolSlot;
    }

    public List<BountyMessage> createBountyMessages(Context context, BountyMessage.ScreenSwitchCaller caller) {
        List<BountyMessage> list = new ArrayList();
        if (starCount != 0)
            list.add(new BountyMessage(context, R.drawable.currency_star, starCount + "", caller, Screen.ScreenType.NONE));
        if (energyCount != 0)
            list.add(new BountyMessage(context, R.drawable.currency_energy, energyCount + "", caller, Screen.ScreenType.NONE));
        if (toolType != ToolType.NONE)
            list.add(new BountyMessage(context, toolType.getButtonDrawable(), toolType.getName() + " unlocked!", caller, Screen.ScreenType.TOOL_SHOP));
        if (toolSlot)
            list.add(new BountyMessage(context, R.drawable.tools_unlockedbutton, "You unlocked a ToolSlot!", caller, Screen.ScreenType.TOOL_SHOP));
        return list;
    }

    public ToolType getToolType() {
        return toolType;
    }

    public boolean isToolSlot() {
        return toolSlot;
    }

    public int getStarCount() {
        return starCount;
    }

    public int getEnergyCount() {
        return energyCount;
    }
}
